Subject: Re: Millisecond precision in timestamps?

From: "Eric S. Raymond" <[email-masked]>
Date: Thu, 29 Nov 2012 05:38:47 -0500

Felipe Contreras <[email-masked]>:
> On Thu, Nov 29, 2012 at 8:11 AM, Junio C Hamano <[email-masked]> wrote:
> > Steven Michalske <[email-masked]> writes:
> >
> >> Would having arbitrary key value pairs be useful in the git data
> >> model?
> >
> > My answer to the question is that it is harmful to the data model,
> > but the benefit of going against the data model _may_ outweigh the
> > downside.  It is all relative.
> 
> If git doesn't provide the capability, people will keep using the
> commit message to store that extra information, which I would think is
> even more harmful. An standard 'commit-extra' note or something would
> help deal with that.

Agreed.  

My use case for a capability like this is one of the more common ones.
I want to be able to store a fossil commit-ID inherited from another
VCS outside the commit comment.  The absence of a key/value store forces
me into some annoying kludges.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>